Package com.android.server.os

# Enum Class LinphoneTombstoneProtos.MemoryError.Type

java.lang.Object
java.lang.Enum<LinphoneTombstoneProtos.MemoryError.Type>
com.android.server.os.LinphoneTombstoneProtos.MemoryError.Type

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `Serializable`, `Comparable<LinphoneTombstoneProtos.MemoryError.Type>`, `Constable`

Enclosing class:
  LinphoneTombstoneProtos.MemoryError

public static enum LinphoneTombstoneProtos.MemoryError.Type extends Enum<LinphoneTombstoneProtos.MemoryError.Type> implements com.google.protobuf.Internal.EnumLite
Protobuf enum `MemoryError.Type`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BUFFER_OVERFLOW`
`BUFFER_OVERFLOW = 4;`
`BUFFER_UNDERFLOW`
`BUFFER_UNDERFLOW = 5;`
`DOUBLE_FREE`
`DOUBLE_FREE = 2;`
`INVALID_FREE`
`INVALID_FREE = 3;`
`UNKNOWN`
`UNKNOWN = 0;`
`UNRECOGNIZED`
`USE_AFTER_FREE`
`USE_AFTER_FREE = 1;`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BUFFER_OVERFLOW_VALUE`
`BUFFER_OVERFLOW = 4;`
`static final int`
`BUFFER_UNDERFLOW_VALUE`
`BUFFER_UNDERFLOW = 5;`
`static final int`
`DOUBLE_FREE_VALUE`
`DOUBLE_FREE = 2;`
`static final int`
`INVALID_FREE_VALUE`
`INVALID_FREE = 3;`
`static final int`
`UNKNOWN_VALUE`
`UNKNOWN = 0;`
`static final int`
`USE_AFTER_FREE_VALUE`
`USE_AFTER_FREE = 1;`

## Method Summary

Modifier and Type
Method
Description
`static LinphoneTombstoneProtos.MemoryError.Type`
`forNumber(int value)`
`final int`
`getNumber()`
`static com.google.protobuf.Internal.EnumLiteMap<LinphoneTombstoneProtos.MemoryError.Type>`
`internalGetValueMap()`
`static com.google.protobuf.Internal.EnumVerifier`
`internalGetVerifier()`
`static LinphoneTombstoneProtos.MemoryError.Type`
`valueOf(int value)`
Deprecated.
`static LinphoneTombstoneProtos.MemoryError.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LinphoneTombstoneProtos.MemoryError.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNKNOWN

public static final LinphoneTombstoneProtos.MemoryError.Type UNKNOWN
`UNKNOWN = 0;`

### USE_AFTER_FREE

public static final LinphoneTombstoneProtos.MemoryError.Type USE_AFTER_FREE
`USE_AFTER_FREE = 1;`

### DOUBLE_FREE

public static final LinphoneTombstoneProtos.MemoryError.Type DOUBLE_FREE
`DOUBLE_FREE = 2;`

### INVALID_FREE

public static final LinphoneTombstoneProtos.MemoryError.Type INVALID_FREE
`INVALID_FREE = 3;`

### BUFFER_OVERFLOW

public static final LinphoneTombstoneProtos.MemoryError.Type BUFFER_OVERFLOW
`BUFFER_OVERFLOW = 4;`

### BUFFER_UNDERFLOW

public static final LinphoneTombstoneProtos.MemoryError.Type BUFFER_UNDERFLOW
`BUFFER_UNDERFLOW = 5;`

### UNRECOGNIZED

public static final LinphoneTombstoneProtos.MemoryError.Type UNRECOGNIZED

## Field Details

### UNKNOWN_VALUE

public static final int UNKNOWN_VALUE
`UNKNOWN = 0;`

See Also:
  - Constant Field Values

### USE_AFTER_FREE_VALUE

public static final int USE_AFTER_FREE_VALUE
`USE_AFTER_FREE = 1;`

See Also:
  - Constant Field Values

### DOUBLE_FREE_VALUE

public static final int DOUBLE_FREE_VALUE
`DOUBLE_FREE = 2;`

See Also:
  - Constant Field Values

### INVALID_FREE_VALUE

public static final int INVALID_FREE_VALUE
`INVALID_FREE = 3;`

See Also:
  - Constant Field Values

### BUFFER_OVERFLOW_VALUE

public static final int BUFFER_OVERFLOW_VALUE
`BUFFER_OVERFLOW = 4;`

See Also:
  - Constant Field Values

### BUFFER_UNDERFLOW_VALUE

public static final int BUFFER_UNDERFLOW_VALUE
`BUFFER_UNDERFLOW = 5;`

See Also:
  - Constant Field Values

## Method Details

### values

public static LinphoneTombstoneProtos.MemoryError.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LinphoneTombstoneProtos.MemoryError.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`

### valueOf

@Deprecated public static LinphoneTombstoneProtos.MemoryError.Type valueOf(int value)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static LinphoneTombstoneProtos.MemoryError.Type forNumber(int value)

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<LinphoneTombstoneProtos.MemoryError.Type> internalGetValueMap()

### internalGetVerifier

public static com.google.protobuf.Internal.EnumVerifier internalGetVerifier()